#include <bits/stdc++.h>

using namespace std;
    int f(int n){
        int i=1;
        while(n>0){
            i*=(n%10);
            n/=10;
        }
        return i;
    }
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    long long n=1000000;
    set <long long> s = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9};
    vector <int> veki = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
    for(int i=11; i<=24; i++){
        veki.push_back(10);
    }
    int m=10;
    for(int i=25; i<=n; i++){
        if(!s.count(f(i))){
            s.insert(f(i));
            m++;
        }
        veki.push_back(m);
    }
//    for(int el: veki)
//        cout<<el<<endl;
    int t, a;
    cin>>t;
    for(int i=0; i<t; i++){
        cin>>a;
        cout<<veki[a]<<endl;
    }
}